<?php

ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site'>".LG('Настройки сайта')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site&section=modules'>".LG('Управление модулями')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Баллы')."";
ECHO "</div>"; 

$balls = @PARSE_INI_FILE(ROOT."/system/config/balls.ini", FALSE);

IF (POST('ok')){
  
  $photos_comments = INTVAL(POST('photos_comments'));
  $videos_comments = INTVAL(POST('videos_comments'));
  $blogs_comments = INTVAL(POST('blogs_comments'));
  $guestbook = INTVAL(POST('guestbook'));
  $photos = INTVAL(POST('photos'));
  $videos = INTVAL(POST('videos'));
  $blogs = INTVAL(POST('blogs'));
  $music = INTVAL(POST('music'));
  $forum = INTVAL(POST('forum'));
  $forum_comm = INTVAL(POST('forum_comm'));
  
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'PHOTOS_COMMENTS', $photos_comments);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'VIDEOS_COMMENTS', $videos_comments);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'BLOGS_COMMENTS', $blogs_comments);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'GUESTBOOK', $guestbook);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'PHOTOS', $photos);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'VIDEOS', $videos);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'BLOGS', $blogs);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'MUSIC', $music);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'FORUM', $forum);
  INI::UPGRADE(ROOT.'/system/config/balls.ini', 'FORUM_COMMENTS', $forum_comm);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=site&section=modules&mod=balls');
  
}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

HTML::INPUT('photos_comments', 0, 'Сколько баллов начислять за добавление комментария под фото:', NULL, TEXT_ABSOLUTE($balls['PHOTOS_COMMENTS']), 'form-control-30', 'text');

HTML::INPUT('videos_comments', 0, 'Сколько баллов начислять за добавление комментария под видео:', NULL, TEXT_ABSOLUTE($balls['VIDEOS_COMMENTS']), 'form-control-30', 'text');

HTML::INPUT('blogs_comments', 0, 'Сколько баллов начислять за добавление комментария под записью в блоге:', NULL, TEXT_ABSOLUTE($balls['BLOGS_COMMENTS']), 'form-control-30', 'text');

HTML::INPUT('guestbook', 0, 'Сколько баллов начислять за добавление комментария в общей гостевой:', NULL, TEXT_ABSOLUTE($balls['GUESTBOOK']), 'form-control-30', 'text');

HTML::INPUT('photos', 0, 'Сколько баллов начислять за добавление фото:', NULL, TEXT_ABSOLUTE($balls['PHOTOS']), 'form-control-30', 'text');

HTML::INPUT('videos', 0, 'Сколько баллов начислять за добавление видео:', NULL, TEXT_ABSOLUTE($balls['VIDEOS']), 'form-control-30', 'text');

HTML::INPUT('blogs', 0, 'Сколько баллов начислять за добавление записи в блоге:', NULL, TEXT_ABSOLUTE($balls['BLOGS']), 'form-control-30', 'text');

HTML::INPUT('music', 0, 'Сколько баллов начислять за добавление музыки:', NULL, TEXT_ABSOLUTE($balls['MUSIC']), 'form-control-30', 'text');

HTML::INPUT('forum', 0, 'Сколько баллов начислять за добавление темы на форуме:', NULL, TEXT_ABSOLUTE($balls['FORUM']), 'form-control-30', 'text');

HTML::INPUT('forum_comm', 0, 'Сколько баллов начислять за добавление комментария под темой на форуме:', NULL, TEXT_ABSOLUTE($balls['FORUM_COMMENTS']), 'form-control-30', 'text');

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";
  
?>